---
title: Boolean.prototype.toSource()
slug: Web/JavaScript/Reference/Global_Objects/Boolean/toSource
tags:
  - Boolean
  - Deprecated
  - JavaScript
  - Method
  - Non-standard
  - Obsolete
  - Prototype
---
<div>{{JSRef}} {{obsolete_header}}</div>

<p>The <code><strong>toSource()</strong></code> method returns a string representing the source code of the object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>booleanObj</var>.toSource()
Boolean.toSource()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the source code of the object.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Native_function">Native function</h3>

<p>For the built-in {{jsxref("Boolean")}} object, <code>toSource</code> returns the following string indicating that the source code is not available:</p>

<pre class="brush: js">function Boolean() {
    [native code]
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Boolean.toSource")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Object.prototype.toSource()")}}</li>
</ul>
